<?php
/* $Id: index.php 6941 2014-10-26 23:18:08Z daintree $*/
error_reporting(E_ALL & ~E_NOTICE);
$PageSecurity=0;

include('includes/session.inc');
$Title=_('ERP Home');
include('includes/newheader.php');

?>

		
  					
	<script src="angular/angular.min.js"></script>  

 									
									<?php
		$userid = $_SESSION['UserID'];

if ($userid == 'admin' || $userid == 'ravinesh' || $userid == 'riga'|| $userid == 'sharukh' || $userid == 'lusi' || $userid == 'nisha' || $userid == 'manu' || $userid == 'losa' || $userid == 'schand' || $userid == 'stephanie'  || $userid == 'waqa' || $userid == 'rowen' || $userid == 'rramlu') {
		
    include('xcrud/xcrud.php');
	
			//echo Xcrud::load_css();		
   $ebusiness= Xcrud::get_instance();
	$ebusiness->table('calendar_management');
	$ebusiness->table_name('Technician Timesheet Period Management','Rostering','icon-leaf');
	$ebusiness->order_by('id','desc');
	$ebusiness->change_type('status','select','pending','pending,approved,processed,locked');
   $ebusiness->set_attr('period',array('id'=>'period'));
$ebusiness->set_attr('start_date',array('id'=>'startdate'));
$ebusiness->set_attr('end_date',array('id'=>'enddate'));
$ebusiness->unset_remove();
$ebusiness->unset_edit();
$ebusiness->unset_add();
	$ebusiness->set_attr('created_by',array('id'=>'user'));
$ebusiness->set_attr('date_created',array('id'=>'date'));

$userid = $_SESSION['UserID'];
$ebusiness->pass_default('created_by',$userid);
$ebusiness->pass_var('created_by',$userid );

$timenow = date('Y-m-d H:i:s');
$ebusiness->pass_default('date_created',$timenow);
$ebusiness->pass_var('date_created',$timenow );
$ebusiness->disabled('date_created,created_by,period');
$ebusiness->load_view('edit','calendar.php');
$ebusiness->load_view('create','calendar.php');
$ebusiness->load_view('view','calendar.php');
$ebusiness->before_insert('get_PeriodDetails');
$ebusiness->before_update('get_PeriodDetails');
//$ebusiness->button('ConvertRoster.php?id={id}', 'Convert to timesheet','glyphicon glyphicon-new-window','payslipemail');
$ebusiness->button('ReportTimesheet-tech.php?id={id}&startdate={start_date}&enddate={end_date}', 'Technician Report','glyphicon glyphicon-download-alt','payslipemail');
//$ebusiness->button('ReportTimesheet-MealAllowance.php?id={id}&startdate={start_date}&enddate={end_date}', 'Meal Allowance Report','glyphicon glyphicon-dashboard','payslipemail');

$ebusiness->column_pattern('id', '<a href="#" class="xcrud-action" data-task="view" data-primary="{id}">{value}</a>');


$xcrud = $ebusiness->nested_table('Technicians','id','techniciantimesheet','id'); 

if ($userid=='nisha'){
	
	//$xcrud->disabled('sectors,patrol_location,required_guards,jobno,job_type');
	
	$xcrud->where('department=','7');
	//$xcrud->where('sectors=','23');
	
	$xcrud->relation('employee','employeemaster','employeeid',array('first_name','last_name','employeeid'),array('department' => '7'));
	$xcrud->pass_default('department','7');
$xcrud->pass_var('department','7');

	
}

if ($userid=='lusi'){
	
//	$xcrud->disabled('sectors,patrol_location,required_guards,jobno,job_type');
	
	$xcrud->where('department=','10');
	//$xcrud->where('sectors=','');
	
	$xcrud->relation('employee','employeemaster','employeeid',array('first_name','last_name','employeeid'),array('department' => '10'));
	$xcrud->pass_default('department','10');
    $xcrud->pass_var('department','10');

	
}
if ($userid=='manu'  ){
	
//	$xcrud->disabled('required_guards,jobno,job_type');
	
	$xcrud->where('department=','9');
	//$xcrud->where('sectors=','24');
	
	$xcrud->relation('employee','employeemaster','employeeid',array('first_name','last_name','employeeid'),array('department' => '9'));
	$xcrud->pass_default('department','9');
    $xcrud->pass_var('department','9');

	
}
	
if ($userid=='losa' || $userid=='schand'|| $userid=='waqa' || $userid=='stephanie' ){
	
//	$xcrud->disabled('required_guards,jobno,job_type');
	
	$xcrud->where('department=','6');
	//$xcrud->where('sectors=','24');
	
	$xcrud->relation('employee','employeemaster','employeeid',array('first_name','last_name','employeeid'),array('department' => '6'));
	$xcrud->pass_default('department','6');
    $xcrud->pass_var('department','6');

	
}
	if ( $userid == 'rowen' || $userid == 'rramlu'){
	
//	$xcrud->disabled('required_guards,jobno,job_type');
	$xcrud->where("techniciantimesheet.department  = 8 OR techniciantimesheet.department = 21"); 
	$xcrud->relation('department','department','departmentid','departmentname','department.departmentid = 8 OR  department.departmentid = 21');
		$xcrud->relation('employee','employeemaster','employeeid',array('first_name','last_name','employeeid'));


	
}
if ($userid =='admin' ){
	
//	$xcrud->disabled('required_guards,jobno,job_type');
	
	//$xcrud->where('department=','9');
	//$xcrud->where('sectors=','24');
	$xcrud->where("techniciantimesheet.department  = 6 OR techniciantimesheet.department = 7 OR techniciantimesheet.department = 9  OR techniciantimesheet.department = 10"); 
	$xcrud->relation('department','department','departmentid','departmentname','department.departmentid = 6 OR  department.departmentid = 7  OR  department.departmentid = 9  OR  department.departmentid = 10');
	$xcrud->relation('employee','employeemaster','employeeid',array('first_name','last_name','employeeid'));
	//$xcrud->pass_default('department','9');
    //$xcrud->pass_var('department','9');

	
}
//second level table configurations
	$rostering_timesheet = $xcrud->nested_table('Technician Timsheet','techtimeid','techniciantimesheetdetails','techtimeid'); 
	  //     $pool = $xcrud->nested_table('pool','patrol_location','approved_guards','clientid'); 

         //     $pool->relation('employeeid','employeemaster','employeeid',array('first_name','last_name','employeeid'));





	
	//$rostering_timesheet->relation('employeeid','poolguards','employeeid',array('first_name','last_name','employeeid'),array('rostered' => '0'));
$rostering_timesheet->relation('projectid','projectdetails','projectid',array('project_name','projectid'));
$rostering_timesheet->relation('account_number','debtoraccount','account_number',array('billing_name','account_number'));

//$rostering_timesheet->pass_default(array('mon_date' => 'Joe', 'tues_date' => 'Boston'));
//$rostering_timesheet->relation('mon_shift','shifts','shiftid','shiftplushours');
//$rostering_timesheet->relation('mon_shift2','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('tues_shift','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('tues_shift2','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('wed_shift','shifts','shiftid','shiftplushours');
//$rostering_timesheet->relation('wed_shift2','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('thurs_shift','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('thurs_shift2','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('fri_shift','shifts','shiftid','shiftplushours');
//$rostering_timesheet->relation('fri_shift2','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('sat_shift','shifts','shiftid','shiftplushours');
//$rostering_timesheet->relation('sat_shift2','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('sun_shift','shifts','shiftid','shiftplushours');
//$rostering_timesheet->relation('sun_shift2','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('mon_shift_2','shifts','shiftid','shiftplushours');
//$rostering_timesheet->relation('mon_shift_2_2','shifts','shiftid','shiftplushours');
	 //$rostering_timesheet->change_type('mon_shift','select','3pm-7pm','3pm-7pm,9am-12pm');
	 
 
	
	
     //$rostering_timesheet->relation('mon_hrs','shifts','shiftid','hours','','','','','','shiftid','mon_shift');
	 
	 
	 //$rostering_timesheet->before_insert('gridcolor');
	//$rostering_timesheet->before_update('gridcolor');
	
	//$rostering_timesheet->pass_var('montime_in', 'NOW()');
    //$rostering_timesheet->no_quotes('montime_in');
	
	 
	$rostering_timesheet->label('projectid','Projects/Jobs');
	 
//$rostering_timesheet->column_width('mon_hrs,tues_hrs,wed_hrs,thurs_hrs,fri_hrs,sat_hrs,sun_hrs,mon_hrs_2,mon_hrs2,tues_hrs2,wed_hrs2,thurs_hrs2,fri_hrs2,sat_hrs2,sun_hrs2,mon_hrs_2_2','5px');
	//$rostering_timesheet->column_width('mon_shift,tues_shift,wed_shift,thurs_shift,fri_shift,sat_shift,sun_shift,mon_shift_2','95px');
	//$rostering_timesheet->column_width('total_hrs','20px');
	//$rostering_timesheet->fields('mon_hrs,mon_total,tues_hrs,tues_total,wed_hrs,wed_total,thurs_hrs,thurs_total,fri_hrs,fri_total,sat_hrs,sat_total,sun_hrs,sun_total,mon_hrs_2,mon2_total,mon_hrs2,tues_hrs2,wed_hrs2,thurs_hrs2,fri_hrs2,sat_hrs2,sun_hrs2,mon_hrs_2_2', true);
	//$rostering_timesheet->validation_required('employeeid');
	
	//check whether total hours doesnt exceel employees max hours allowed to work. checking with employeemaster database.

	
	//grid coloring based on shift table
	
	$rostering_timesheet->highlight('montime_in','>=','00:00:00','white');
	
	$rostering_timesheet->highlight('montime_in','>=','07:00:00','#00d8ff');

$rostering_timesheet->highlight('montime_in','>=','12:00:00','#28B463');

$rostering_timesheet->highlight('montime_in','>=','15:00:00','#FFFF33');

	//$rostering_timesheet->highlight('montime_in1','>=','00:00:00','white');
	
	//$rostering_timesheet->highlight('montime_in1','>=','07:00:00','#00d8ff');

//$rostering_timesheet->highlight('montime_in1','>=','12:00:00','#28B463');

//$rostering_timesheet->highlight('montime_in1','>=','15:00:00','#FFFF33');


		$rostering_timesheet->highlight('tuestime_in','>=','00:00:00','white');
	
	$rostering_timesheet->highlight('tuestime_in','>=','07:00:00','#00d8ff');

$rostering_timesheet->highlight('tuestime_in','>=','12:00:00','#28B463');

$rostering_timesheet->highlight('tuestime_in','>=','15:00:00','#FFFF33');

	//$rostering_timesheet->highlight('tuestime_in1','>=','00:00:00','white');
	
	//$rostering_timesheet->highlight('tuestime_in1','>=','07:00:00','#00d8ff');

//$rostering_timesheet->highlight('tuestime_in1','>=','12:00:00','#28B463');

//$rostering_timesheet->highlight('tuestime_in1','>=','15:00:00','#FFFF33');


	$rostering_timesheet->highlight('wedtime_in','>=','00:00:00','white');
	
	$rostering_timesheet->highlight('wedtime_in','>=','07:00:00','#00d8ff');

$rostering_timesheet->highlight('wedtime_in','>=','12:00:00','#28B463');

$rostering_timesheet->highlight('wedtime_in','>=','15:00:00','#FFFF33');

	//$rostering_timesheet->highlight('wedtime_in1','>=','00:00:00','white');
	
	//$rostering_timesheet->highlight('wedtime_in1','>=','07:00:00','#00d8ff');

//$rostering_timesheet->highlight('wedtime_in1','>=','12:00:00','#28B463');

//$rostering_timesheet->highlight('wedtime_in1','>=','15:00:00','#FFFF33');

	$rostering_timesheet->highlight('thurstime_in','>=','00:00:00','white');
	
	$rostering_timesheet->highlight('thurstime_in','>=','07:00:00','#00d8ff');

$rostering_timesheet->highlight('thurstime_in','>=','12:00:00','#28B463');

$rostering_timesheet->highlight('thurstime_in','>=','15:00:00','#FFFF33');


	$rostering_timesheet->highlight('fritime_in','>=','00:00:00','white');
	
	$rostering_timesheet->highlight('fritime_in','>=','07:00:00','#00d8ff');

$rostering_timesheet->highlight('fritime_in','>=','12:00:00','#28B463');

$rostering_timesheet->highlight('fritime_in','>=','15:00:00','#FFFF33');

	

	$rostering_timesheet->highlight('sattime_in','>=','00:00:00','white');
	
	$rostering_timesheet->highlight('sattime_in','>=','07:00:00','#00d8ff');

$rostering_timesheet->highlight('sattime_in','>=','12:00:00','#28B463');

$rostering_timesheet->highlight('sattime_in','>=','15:00:00','#FFFF33');

	


	$rostering_timesheet->highlight('sunttime_in','>=','00:00:00','white');
	
	$rostering_timesheet->highlight('sunttime_in','>=','07:00:00','#00d8ff');

$rostering_timesheet->highlight('sunttime_in','>=','12:00:00','#28B463');

$rostering_timesheet->highlight('sunttime_in','>=','15:00:00','#FFFF33');


$rostering_timesheet->highlight('mon2time_in','>=','00:00:00','white');
	
	$rostering_timesheet->highlight('mon2time_in','>=','07:00:00','#00d8ff');

$rostering_timesheet->highlight('mon2time_in','>=','12:00:00','#28B463');

$rostering_timesheet->highlight('mon2time_in','>=','15:00:00','#FFFF33');

	//$rostering_timesheet->highlight('suntime_in1','>=','00:00:00','white');
	
	//$rostering_timesheet->highlight('suntime_in1','>=','07:00:00','#00d8ff');

//$rostering_timesheet->highlight('suntime_in1','>=','12:00:00','#28B463');

//$rostering_timesheet->highlight('suntime_in1','>=','15:00:00','#FFFF33');


	//$rostering_timesheet->highlight('mon2time_in','>=','00:00:00','white');
	
//	$rostering_timesheet->highlight('mon2time_in','>=','07:00:00','#00d8ff');

//$rostering_timesheet->highlight('mon2time_in','>=','12:00:00','#28B463');

//$rostering_timesheet->highlight('mon2time_in','>=','15:00:00','#FFFF33');

//	$rostering_timesheet->highlight('mon2time_in1','>=','00:00:00','white');
	
//	$rostering_timesheet->highlight('mon2time_in1','>=','07:00:00','#00d8ff');

//$rostering_timesheet->highlight('mon2time_in1','>=','12:00:00','#28B463');

//$rostering_timesheet->highlight('mon2time_in1','>=','15:00:00','#FFFF33');





	//$rostering_timesheet->highlight('mon_hrs','=','{mon_hrs}',$mon_color);
	
	
//$rostering_timesheet->before_insert('gridcolor');
//$rostering_timesheet->before_update('gridcolor');
	
	
	//calculate total employee hours per week
//$rostering_timesheet->before_list('highlightcell');

$rostering_timesheet->set_attr('entry_type',array('required'=>'required'));
	
	$rostering_timesheet->change_type('entry_type','select','','No Time Track,Track Time');
	
	  $rostering_timesheet->set_attr('entry_type',array('id'=>'entry_type'));
  //test
    $rostering_timesheet->set_attr('montotal_manual',array('id'=>'montotal_manual'));
	$rostering_timesheet->set_attr('tuestotal_manual',array('id'=>'tuestotal_manual'));
	$rostering_timesheet->set_attr('wedtotal_manual',array('id'=>'wedtotal_manual'));
	$rostering_timesheet->set_attr('thurstotal_manual',array('id'=>'thurstotal_manual'));
	$rostering_timesheet->set_attr('fritotal_manual',array('id'=>'fritotal_manual'));
	$rostering_timesheet->set_attr('sattotal_manual',array('id'=>'sattotal_manual'));
	$rostering_timesheet->set_attr('suntotal_manual',array('id'=>'suntotal_manual'));
	$rostering_timesheet->set_attr('mon2total_manual',array('id'=>'mon2total_manual'));
	
		
	$rostering_timesheet->set_attr('montime_in',array('id'=>'montime_in'));
	
	$rostering_timesheet->set_attr('montime_out',array('id'=>'montime_out'));

	
	$rostering_timesheet->set_attr('tuestime_in',array('id'=>'tuestime_in'));
	
	$rostering_timesheet->set_attr('tuestime_out',array('id'=>'tuestime_out'));

//$rostering_timesheet->set_attr('tuestime_in1','>=','15:00:00','#FFFF33');


	$rostering_timesheet->set_attr('wedtime_in',array('id'=>'wedtime_in'));
	
	$rostering_timesheet->set_attr('wedtime_out',array('id'=>'wedtime_out'));
	
	
$rostering_timesheet->set_attr('thurstime_in',array('id'=>'thurstime_in'));
	
	$rostering_timesheet->set_attr('thurstime_out',array('id'=>'thurstime_out'));

	//$rostering_timesheet->set_attr('wedtime_in1','>=','00:00:00','white');
	
	//$rostering_timesheet->set_attr('wedtime_in1','>=','07:00:00','#00d8ff');

//$rostering_timesheet->set_attr('wedtime_in1','>=','12:00:00','#28B463');




	$rostering_timesheet->set_attr('fritime_in',array('id'=>'fritime_in'));
	
	$rostering_timesheet->set_attr('fritime_out',array('id'=>'fritime_out'));



	

	$rostering_timesheet->set_attr('sattime_in',array('id'=>'sattime_in'));
	
	$rostering_timesheet->set_attr('sattime_out',array('id'=>'sattime_out'));


	


	$rostering_timesheet->set_attr('sunttime_in',array('id'=>'suntime_in'));
	
	$rostering_timesheet->set_attr('sunttime_out',array('id'=>'suntime_out'));




$rostering_timesheet->set_attr('mon2time_in',array('id'=>'mon2time_in'));
	
	$rostering_timesheet->set_attr('mon2time_out',array('id'=>'mon2time_out'));


	

$rostering_timesheet->before_insert('calculate_totalhoursperweek','functionstimesheettech.php');
$rostering_timesheet->before_update('calculate_totalhoursperweek','functionstimesheettech.php');
//$rostering_timesheet->after_insert('check_guards');
//$rostering_timesheet->after_update('check_guards');
//$rostering_timesheet->field_callback('total_hrs','validate_maxhours');

//$rostering_timesheet->before_insert('validate_maxhours');
//$rostering_timesheet->before_update('validate_maxhours');

	//$rostering_timesheet->table_name('Employee Schedulling');
	
	//calculate total  hours per per each day
	
   $rostering_timesheet->sum('mon_total,tues_total,wed_total,thurs_total,fri_total,sat_total,sun_total,mon2_total,total_hrs');
	 $rostering_timesheet->disabled('mon_total,tues_total,wed_total,thurs_total,fri_total,sat_total,sun_total,mon2_total,total_hrs');
   
   //$rostering_timesheet->columns('mon_gap,tues_gap,wed_gap,thurs_gap,fri_gap,sat_gap,sun_gap',true);
   
	$xcrud->table_name('Technicians scheduling');
	
	

$xcrud->pass_default('last_modifiedby',$userid);
$xcrud->pass_var('last_modifiedby',$userid );

$timenow = date('Y-m-d H:i:s');
$xcrud->pass_default('lastupdate',$timenow);
$xcrud->pass_var('lastupdate',$timenow );
	


	//$rostering_timesheet->highlight('mon_shift','=','{mon_shift}','{mon_color}');

	//1st level main table
//$xcrud->relation('department','department','departmentid','departmentname');
	//$xcrud->relation('internal_location','internal_location','id','location');
//$xcrud->relation('sectors','sectors','id','name');
//$xcrud->relation('jobno','projectdetails','projectid',array('projectid','project_name'));
$rostering_timesheet->change_type('job_type ','select',' ',' ,Admin,Contracts,FAS Small Jobs,FAS Surveys,Fire Alarm,Fire Training,FAS Testing,Extinguisher Servicing,Extinguisher Sales,Warranty Test,Leave, Installs Alarm, Installs CCTV, Installs Access System');
  //test

	$rostering_timesheet->table_name('Projects/Jobs Scheduling  ','Projects/Jobs Scheduling Timesheet','icon-leaf');
	
			
    $xcrud->change_type('status','select','pending','pending,approved,locked');
   

    $xcrud->show_primary_ai_column(true);
    $xcrud->column_pattern('techtimeid', '<a href="#" class="xcrud-action" data-task="view" data-primary="{techtimeid}">{value}</a>');

	  $rostering_timesheet->show_primary_ai_column(false);
//$rostering_timesheet->load_view('list','techtimesheetlist.php');
//rostering_timesheet->load_view('edit','techtimesheetedit.php');
//$rostering_timesheet->load_view('create','techtimesheetedit.php');
//$rostering_timesheet->load_view('view','techtimesheet.php');
$xcrud->unset_print();
$xcrud->unset_csv();
    $xcrud->duplicate_button();
//$xcrud->before_insert('poolguardcreation');
//$xcrud->before_update('poolguardcreation');

//
$userid = $_SESSION['UserID'];


$timenow = date('Y-m-d H:i:s');


$xcrud->button('PDFPrintTimesheet-tech.php?rosterid={techtimeid}', 'Print Timesheet PDF','glyphicon glyphicon-download-alt','approve');
//$xcrud->button('PrintTimesheetExcel-tech.php?rosterid={techtimeid}', 'Print Timesheet Excel','glyphicon glyphicon-export','payslipemail');
//$xcrud->button('RosterCheck.php?rosterid={rosterid}requiredguards={required_guards}', 'Check for Req Guards','glyphicon glyphicon-download-alt','payslipemail');

$rostering_timesheet->column_class('projectid,wed_total,tues_total','align-center font-bold ');
$rostering_timesheet->column_pattern('projectid', '<a href="#" class="xcrud-action" data-task="edit" data-primary="{techtimedetailid}">
{value}</a>');


$rostering_timesheet->show_primary_ai_column(true);


	echo $ebusiness->render();


}else{
	
	
	echo "Not Authorised";
}
  
 	echo '</div >';
	?>
						

		
					</div>
				</div>
			</div>
					
					

						<!--end:: Widgets/Stats-->

						<!--Begin::Section-->
						

		<!-- end::Quick Sidebar -->

		<!-- begin::Scroll Top -->
		<div id="m_scroll_top" class="m-scroll-top">
			<i class="la la-arrow-up"></i>
		</div>

		<!-- end::Scroll Top -->

		<!-- begin::Quick Nav -->
		

		<!-- begin::Quick Nav -->
<script src="includes/vendors/owl.carousel/dist/owl.carousel.js" type="text/javascript"></script>

		<!--end::Page Scripts -->
	</body>

	<!-- end::Body -->
</html>
 
      
<?php



/*The module link codes are hard coded in a switch statement below to determine the options to show for each tab */
include('includes/MainMenuLinksArray.php');

if (isset($SupplierLogin) AND $SupplierLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=1">' . _('View or Amend outstanding offers') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=2">' . _('Create a new offer') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=3">' . _('View any open tenders without an offer') . '</a></p>
			</td>
			</tr>
		</table>';
	include('includes/footer.inc');
	exit;
} elseif (isset($CustomerLogin) AND $CustomerLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/CustomerInquiry.php?CustomerID=' . $_SESSION['CustomerID'] . '">' . _('Account Status') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectOrderItems.php?NewOrder=Yes">' . _('Place An Order') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectCompletedOrder.php?SelectedCustomer=' . $_SESSION['CustomerID'] . '">' . _('Order Status') . '</a></p>
			</td>
			</tr>
		</table>';

	include('includes/footer.inc');
	exit;
}

if (isset($_GET['Application'])){ /*This is sent by this page (to itself) when the user clicks on a tab */
	$_SESSION['Module'] = $_GET['Application'];
}








//include('includes/footer.inc');

function GetRptLinks($GroupID) {
/*
This function retrieves the reports given a certain group id as defined in /reports/admin/defaults.php
in the acssociative array $ReportGroups[]. It will fetch the reports belonging solely to the group
specified to create a list of links for insertion into a table to choose a report. Two table sections will
be generated, one for standard reports and the other for custom reports.
*/
	global $db, $RootPath, $ReportList;
	require_once('reportwriter/languages/en_US/reports.php');
	require_once('reportwriter/admin/defaults.php');
	$GroupID=$ReportList[$GroupID];
	$Title= array(_('Custom Reports'), _('Standard Reports and Forms'));

	$sql= "SELECT id,
				reporttype,
				defaultreport,
				groupname,
				reportname
			FROM reports
			ORDER BY groupname,
					reportname";
	$Result=DB_query($sql,'','',false,true);
	$ReportList = '';
	while ($Temp = DB_fetch_array($Result)) $ReportList[] = $Temp;

	$RptLinks = '';
	for ($Def=1; $Def>=0; $Def--) {
        $RptLinks .= '<li class="menu_group_headers">';
        $RptLinks .= '<b>' .  $Title[$Def] . '</b>';
        $RptLinks .= '</li>';
		$NoEntries = true;
		if ($ReportList) { // then there are reports to show, show by grouping
			foreach ($ReportList as $Report) {
				if ($Report['groupname']==$GroupID AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/ReportMaker.php?action=go&amp;reportid=' . $Report['id'] . '">' . _($Report['reportname']) . '</a></p>';
					$RptLinks .= '</li>';
					$NoEntries = false;
				}
			}
			// now fetch the form groups that are a part of this group (List after reports)
			$NoForms = true;
			foreach ($ReportList as $Report) {
				$Group=explode(':',$Report['groupname']); // break into main group and form group array
				if ($NoForms AND $Group[0]==$GroupID AND $Report['reporttype']=='frm' AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<img src="' . $RootPath . '/css/' . $_SESSION['Theme'] . '/images/folders.gif" width="16" height="13" alt="" />&nbsp;';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/FormMaker.php?id=' . $Report['groupname'] . '"></p>';
					$RptLinks .= $FormGroups[$Report['groupname']] . '</a>';
					$RptLinks .= '</li>';
					$NoForms = false;
					$NoEntries = false;
				}
			}
		}
		if ($NoEntries) $RptLinks .= '<li class="menu_group_item">' . _('There are no reports to show!') . '</li>';
	}
	return $RptLinks;
}
	
?>
<!-- Modal HTML embedded directly into document -->
<div id="ex1" class="modal">
  <p>Thanks for clicking. That felt good.</p>
  <a href="#" rel="modal:close">Close</a>
</div>


<!-- Modal -->
 <div class="modal fade" id="getCodeModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
   <div class="modal-dialog modal-lg">
      <div class="modal-content">
       <div class="modal-header">
         <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
         <h4 class="modal-title" id="myModalLabel"> API CODE </h4>
       </div>
       <div class="modal-body" id="getCode" sty  le="overflow-x: scroll;">
       
          
          
       </div>
    </div>
   </div>
 </div>
<script>
jQuery(document).ready(function($){

			$("#montime_in").hide();
		$("#montime_out").hide();
		$("#tuestime_in").hide();
		$("#tuestime_out").hide();
		$("#wedtime_in").hide();
		$("#wedtime_out").hide();
		$("#fritime_in").hide();
		$("#fritime_out").hide();
	    $("#sattime_in").hide();
		$("#sattime_out").hide();
		$("#suntime_in").hide();
		$("#suntime_out").hide();
		$("#mon2time_in").hide();
		$("#mon2time_out").hide();
	
	
		
		$("#montotal_manual").hide();
		$("#tuestotal_manual").hide();
		$("#wedtotal_manual").hide();
		$("#thurstotal_manual").hide();
		$("#fritotal_manual").hide();
		$("#sattotal_manual").hide();
		$("#suntotal_manual").hide();
		$("#mon2total_manual").hide();

$(".xcrud").on("change","#entry_type",function(){ // !important, delegation from static container
     
	var entrytype= $("#entry_type").val();

;
	
	if (entrytype == "No Time Track") {
		
	
		
		$("#montotal_manual").show();
		$("#tuestotal_manual").show();
		$("#wedtotal_manual").show();
		$("#thurstotal_manual").show();
		$("#fritotal_manual").show();
		$("#sattotal_manual").show();
		$("#suntotal_manual").show();
		$("#mon2total_manual").show();
		
		$("#montime_in").hide();
		$("#montime_out").hide();
		$("#tuestime_in").hide();
		$("#tuestime_out").hide();
		$("#wedtime_in").hide();
		$("#wedtime_out").hide();
		$("#fritime_in").hide();
		$("#fritime_out").hide();
	    $("#sattime_in").hide();
		$("#sattime_out").hide();
		$("#suntime_in").hide();
		$("#suntime_out").hide();
		$("#mon2time_in").hide();
		$("#mon2time_out").hide();
	
	
	}
		else  {
		
		 
		
		$("#montotal_manual").hide();
		$("#tuestotal_manual").hide();
		$("#wedtotal_manual").hide();
		$("#thurstotal_manual").hide();
		$("#fritotal_manual").hide();
		$("#sattotal_manual").hide();
		$("#suntotal_manual").hide();
		$("#mon2total_manual").hide();
	
	    $("#montime_in").show();
		$("#montime_out").show();
		$("#tuestime_in").show();
		$("#tuestime_out").show();
		$("#wedtime_in").show();
		$("#wedtime_out").show();
		$("#fritime_in").show();
		$("#fritime_out").show();
	    $("#sattime_in").show();
		$("#sattime_out").show();
		$("#suntime_in").show();
		$("#suntime_out").show();
		$("#mon2time_in").show();
		$("#mon2time_out").show();
	
			
	}
		
	
	
   });
	
	
	
   }); 
	
	

	
	
		
		

	
	
</script>


<script type="text/javascript">
jQuery(document).on("ready xcrudafterrequest",function(){
    
});
</script>